geronimo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From amergey <>
Subject JDBC 4 support in Geronimo 3
Date Fri, 02 Sep 2011 08:35:24 GMT

Testing a web application executing some JDBC code using a datasource
against geronimo 3, I had the following exception

org.tranql.connector.jdbc.ResultSetHandle.isClosed()Z" when calling

So it seems geronimo 3 does not support JDBC 4 API, the bug [GERONIMO-6138]
(JDBC 4 API is not supported) was closed claiming this bug was fixed in
trunk since 3.0-M1 

but I have tested with latest available SNAPSHOTS
(geronimo-tomcat7-javaee6-web-3.0-20110901.085007-314-bin and
geronimo-tomcat7-javaee6-3.0-20110901.110425-314-bin) and the issue is still

Is there something I missed ? meaning is there any way to configure a
datasource for supporting JDBC 4 API ? if it is not can I reopen the bug ?

Thanks and Regards,

View this message in context:
Sent from the Users mailing list archive at

View raw message